function [FTf] = autofunRHS(g,dobs,e,H,h)
% companion function of autofcn(); does RHS
% RHS for generalized least squares solution of
% g * m = dobs woth prior information e H m=e h
% with dampung e = sigma_d/digma_h
% set up F'f = GT dobs + e HT e h
% GT qobs is c=qobs2*g
cl = xcorr(dobs, g);
Nc = length(cl);
Nm = floor((Nc+1)/2);
c = cl(Nm: Nc);
HTh = (e^2) * H' * h;
FTf = c + HTh;
end

