% function to perform the multiplication y = (Ccc + sigmad2 I) v
function y = CpImul(v,transp_flag)
global N
global td
global sigmad2
global gamma2
global w0est
global sest
% Note (C + sigmad2 I) v implies yi = SUMj Cij vj + sigmad2 vi
y = zeros(N,1);
for i=1:N
    y(i)=sigmad2*v(i);
    for j=1:N
        Tabs = abs(td(i)-td(j));
        Cij = gamma2*cos(w0est*Tabs)*exp(-sest*Tabs);
        y(i)=y(i)+Cij*v(j);
    end
end
return